Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

检索证书

GET /accounts/{account_id}/core/v1/certificates/{certificate_id}

返回 JSON 响应正文中存储的 Certificate API 资源。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

certificate_id

string

path

True

要列出的证书集合的 ID

响应

Status: 200, Returns the stored Certificate API resource in the JSON response body.
名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-certificate"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

certUse

string

True

表示证书使用情况的 JSON 字符串。如果未指定,则默认为"rootCA"。定义的值为:

  • "rootCA" - 证书是证书颁发机构 (CA) 证书,用于信任由该 CA 签名的任何证书。

  • "intermediateCA" - 证书是由根 CA 颁发的中间 CA 证书。

cert

string

True

包含 base64 编码的 PKCS-11 格式证书 (PEM) 的 JSON 字符串。定义的值为:

  • 符合 base64 编码数据架构

cn

string

True

包含从证书中提取的通用名称的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:511

expiryTimestamp

string

True

包含指示证书何时过期的时间戳的 JSON 字符串。定义的值为:

  • 符合 ISO-8601 日期时间方案

isSelfSigned

string

True

表示证书是否为自签名的 JSON 字符串。如果在创建时未提供,则该值默认为"false"。更新时:

  • 如果提供了值,则将使用该值。

  • 如果不提供该值,并且更新中包含 "cert" 字段,则该值将设置为 "false"。

  • 如果未提供该值,并且"cert"字段未包含在更新中,则将保留现有值。定义的值为:

  • "true" - 证书是自签名的。

  • "false" - 此证书不是自签名的。

trustState

string

True

包含指示证书是否受信任的一组枚举值之一的 JSON 字符串。定义的值为:

  • "untrusted" - 此证书不受信任。

  • "trusted" - 证书被标记为可信。

  • "expired" - 证书已过期,因此既不受信任也不不受信任。

trustStateTransitions

数组["type_astra_stateTransition"]

True

JSON 对象的 JSON 数组,每个表示从给定定义状态的允许状态转换集。每个 JSON 对象都包含"from"和"to"字段,其中"from"值是状态的名称,"to"值是允许的目标状态数组。

trustStateDesired

string

False

包含指示证书是否受信任的值的 JSON 字符串。如果在创建时未指定,则默认值为"trusted"。定义的值为:

  • "untrusted" - 此证书不受信任。

  • "trusted" - 证书被标记为可信。

trustStateDetails

数组["type_astra_stateDetail"]

True

列出有关证书信任状态的其他详细信息的 JSON 对象的 JSON 数组。如果没有可用的详细信息,此数组将为空。

  • 最小项目数:0

元数据

"type_astra_metadata_update"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

响应示例
{
  "type": "application/astra-certificate",
  "version": "1.1",
  "id": "a26cbed4-2183-58ce-aa19-e37ca8b0531a",
  "certUse": "rootCA",
  "cert": "LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSUZyVENDQTVXZ0F3MVJHbnFGbUJSSWRyV1kwPQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0t",
  "cn": "vcenter.example.com",
  "expiryTimestamp": "2022-03-23T16:48:38.5233461Z",
  "isSelfSigned": "true",
  "trustState": "untrusted",
  "trustStateTransitions": [
    {
      "from": "untrusted",
      "to": [
        "trusted"
      ]
    },
    {
      "from": "trusted",
      "to": [
        "untrusted"
      ]
    }
  ],
  "trustStateDetails": [],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

响应

Status: 503, Service unavailable
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/41",
  "title": "Service not ready",
  "detail": "Currently, the service can't respond to this request.",
  "status": "503"
}

响应

Status: 409, Conflict
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/164",
  "title": "Requested resource in unexpected state",
  "detail": "The requested resource can't be returned because it isn't in the expected state. Wait for the conflict to be resolved and retry the request.",
  "status": "409"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

type_astra_stateTransition

名称 Type Required Description

string

True

to

数组[string]

True

additionalDetails

type_astra_stateDetail

名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

additionalDetails

"additionalDetails"

False

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因